[arch-commits] Commit in glabels/repos (3 files)

Eric Bélanger eric at archlinux.org
Thu Apr 9 16:28:22 EDT 2009


    Date: Thursday, April 9, 2009 @ 16:28:22
  Author: eric
Revision: 34500

Fixed svn conflict

Modified:
  glabels/repos/extra-x86_64/	(properties)
  glabels/repos/extra-x86_64/PKGBUILD
  glabels/repos/extra-x86_64/glabels.install

-----------------+
 PKGBUILD        |   21 ++++++++-------------
 glabels.install |    8 ++------
 2 files changed, 10 insertions(+), 19 deletions(-)


Property changes on: glabels/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /glabels/trunk:1
   + /glabels/trunk:1-34499

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-09 20:26:22 UTC (rev 34499)
+++ extra-x86_64/PKGBUILD	2009-04-09 20:28:22 UTC (rev 34500)
@@ -2,29 +2,24 @@
 # Maintainer: Damir Perisa <damir at archlinux.org>
 
 pkgname=glabels
-pkgver=2.2.1
+pkgver=2.2.4
 pkgrel=1
 pkgdesc="Creating labels and business cards the very easy way"
 arch=('i686' 'x86_64')
 license=('GPL' 'LGPL')
 url="http://snaught.com/glabels/"
-depends=('libgnomeui' 'scrollkeeper' 'desktop-file-utils')
-makedepends=('pkgconfig')
+depends=('libgnomeui' 'desktop-file-utils' 'shared-mime-info')
+makedepends=('pkgconfig' 'perlxml' 'gnome-doc-utils>=0.11.2')
 options=('!libtool')
 install=glabels.install
-source=(http://puzzle.dl.sourceforge.net/sourceforge/${pkgname}/${pkgname}-${pkgver}.tar.gz)
+source=(http://downloads.sourceforge.net/sourceforge/${pkgname}/${pkgname}-${pkgver}.tar.gz)
+md5sums=('16e48877708a2c8755ade709ea397fc1')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
-  find . -name Makefile.in -exec sed -i -e 's/-scrollkeeper-update.*//' {} \;
-  if [ -f omf.make ]; then
-    sed -i -e 's/-scrollkeeper-update.*//' omf.make
-  fi
+  cd ${srcdir}/${pkgname}-${pkgver}
   ./configure --prefix=/usr --sysconfdir=/etc \
               --localstatedir=/var --disable-static \
-              --disable-update-mimedb --disable-update-desktopdb 
+              --disable-update-mimedb --disable-update-desktopdb  || return 1
   make || return 1
-  make DESTDIR=${startdir}/pkg install
+  make DESTDIR=${pkgdir} install || return 1
 }
-
-md5sums=('0828bd732ba4c541616ca121407723f2')

Modified: extra-x86_64/glabels.install
===================================================================
--- extra-x86_64/glabels.install	2009-04-09 20:26:22 UTC (rev 34499)
+++ extra-x86_64/glabels.install	2009-04-09 20:28:22 UTC (rev 34500)
@@ -1,6 +1,5 @@
 post_install() {
-  scrollkeeper-update -q -p var/lib/scrollkeeper
-  update-mime-database usr/share/mime
+  update-mime-database usr/share/mime &> /dev/null
   update-desktop-database -q
 }
 
@@ -8,10 +7,7 @@
   post_install $1
 }
 
+
 post_remove() {
   post_install $1
 }
-
-op=$1
-shift
-$op $*



More information about the arch-commits mailing list